Вы находитесь здесь

Форум

getting the latest DirectX to playonlinux

Автор Replies
TWOcvfan Tuesday 29 September 2015 at 15:52
TWOcvfan

I have tried to install d3dx10 and d3dx11 witch apparently is directX 10 and 11,

but i still get this error:

0:1(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, and 3.00 ES

----- Initializing Sound System ------
Unknown command 'vid_restart'
Failed to create XAudio2 engine.  Try installing the latest DirectX.

Is there newere version or is there another way to make it work??

The game I am trying to run is Doom 3 BFG

booman Tuesday 29 September 2015 at 18:53
booman

I'm searching online and can't find anything that claims Doom 3 BFG requires Direct X 10 or Direct X 11
I know Doom 3 has OpenGL compatibility as well.
Have you tried playing it with Direct X 9 alone?

The best I can find is a native port on Github from RobertBeckebans:  RBDOOM-3-BFG


† Booman †
Mint 19 64-bit | Nvidia 415.25 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
TWOcvfan Thursday 1 October 2015 at 14:45
TWOcvfan

Yes I have tried with just Direct X 9 alone, it still gives me an error.

how do I run that one from github?

booman Thursday 1 October 2015 at 18:26
booman

Its a bit complicated and requires compiling the Linux version and installing Doom 3 BFG in PlayOnLinux


† Booman †
Mint 19 64-bit | Nvidia 415.25 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
Вы находитесь здесь: Index > PlayOnLinux > getting the latest DirectX to playonlinux